Name: log4shib
Version: 2.0.1
Release: 1%{?dist}
Summary: Log for C++, Shibboleth Edition
License: LGPL
Vendor: Shibboleth Consortium
URL: http://shibboleth.net/
Source http://shibboleth.net/downloads/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires: gcc-c++ gdb
BuildRequires: doxygen

%description
Log for C++ is a library of classes for flexible logging to files, syslog,
and other destinations. It is modeled after the Log for Java library and
stays as close to its API as is reasonable.

%package devel
Summary: Development tools for Log for C++
Requires: %{name} = %{version}-%{release}

%description devel
The static libraries and header files needed for development with log4shib.

%prep
%setup -q

%build
%configure --enable-doxygen
%{__make}

%install
%{__make} DESTDIR=%{buildroot} apidir=%{buildroot}%{_pkgdocdir}/api install
# If we use %doc down below to package the README files from the build tree,
# it will blow away the package's docdir folder, and the installed API docs with it.
# Instead, copy the README files manually into the platform's docdir.
config/install-sh -d %{buildroot}%{_pkgdocdir}
config/install-sh -m 644 -c AUTHORS COPYING INSTALL NEWS README THANKS ChangeLog %{buildroot}%{_pkgdocdir}

%ldconfig_scriptlets

%files
%defattr(-,root,root,755)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,755)
%{_includedir}/*
%{_mandir}/man*/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/pkgconfig/log4shib.pc
%exclude %{_libdir}/*.la
%doc %{_pkgdocdir}

%changelog
* Fri Aug 26 2022 Jean-Marc Liger <ligenix@iscp.fr> - 2.0.1-1
- Update to 2.0.1

* Mon Oct 11 2021 Jean-Marc Liger <ligenix@iscp.fr> - 2.0.0-5
- Switch to %ldconfig_scriptlets
- Rebuild for COPR EL8

* Mon Jun 25 2018 Scott Cantor <cantor.2@osu.edu> - 2.0.0-1|4.1
- Bump version
- Switch to bzipped source

* Thu May 23 2013  Scott Cantor  <cantor.2@osu.edu>  - 1.0.6-1
- Patch to limit file handle leakage from prop-based configs

* Sat Jul 21 2012  Scott Cantor  <cantor.2@osu.edu>  - 1.0.5-1
- Fix Provides/Obsoletes versioning
- Update Vendor and URL

* Mon Dec 28 2009  Scott Cantor  <cantor.2@osu.edu>  - 1.0.4-1
- Sync package naming to support side by side installs

* Sat Oct 24 2009  Scott Cantor  <cantor.2@osu.edu>  - 1.0.3-2
- Cleaned up specfile for OpenSUSE build service

* Wed Aug 5 2009  Scott Cantor  <cantor.2@osu.edu>  - 1.0.3-1
- Cleaned up specfile for OpenSUSE build service
